pcl::recognition::RigidTransformSpace Class Reference

`#include <pcl/recognition/ransac_based/rigid_transform_space.h>`

## Public Member Functions

| RigidTransformSpace ()
virtual | ~RigidTransformSpace ()
void | build (const float *pos_bounds, float translation_cell_size, float rotation_cell_size)
void | clear ()
std::list< RotationSpace * > & | getRotationSpaces ()
const std::list< RotationSpace * > & | getRotationSpaces () const
int | getNumberOfOccupiedRotationSpaces ()
bool | addRigidTransform (const ModelLibrary::Model *model, const float position[3], const float rigid_transform[12])

## Protected Attributes

RotationSpaceOctree | pos_octree_
RotationSpaceCreator | rotation_space_creator_

## Detailed Description

Definition at line 341 of file rigid_transform_space.h.

## Constructor & Destructor Documentation

## RigidTransformSpace()

pcl::recognition::RigidTransformSpace::RigidTransformSpace | ( |  | ) |

inline

Definition at line 344 of file rigid_transform_space.h.

## ~RigidTransformSpace()

virtual pcl::recognition::RigidTransformSpace::~RigidTransformSpace | ( |  | ) |

inline virtual

Definition at line 345 of file rigid_transform_space.h.

## Member Function Documentation

## addRigidTransform()

bool pcl::recognition::RigidTransformSpace::addRigidTransform | ( | const ModelLibrary::Model * | model,
|  | const float | position[3],
|  | const float | rigid_transform[12]
| ) |  |

inline

Definition at line 383 of file rigid_transform_space.h.

References pcl::recognition::aux::mult3(), and pcl::recognition::aux::rotationMatrixToAxisAngle().

## build()

void pcl::recognition::RigidTransformSpace::build | ( | const float * | pos_bounds,
|  | float | translation_cell_size,
|  | float | rotation_cell_size
| ) |  |

inline

Definition at line 348 of file rigid_transform_space.h.

## clear()

void pcl::recognition::RigidTransformSpace::clear | ( |  | ) |

inline

Definition at line 358 of file rigid_transform_space.h.

## getNumberOfOccupiedRotationSpaces()

int pcl::recognition::RigidTransformSpace::getNumberOfOccupiedRotationSpaces | ( |  | ) |

inline

Definition at line 377 of file rigid_transform_space.h.

## getRotationSpaces() [1/2]

std::list<RotationSpace*>& pcl::recognition::RigidTransformSpace::getRotationSpaces | ( |  | ) |

inline

Definition at line 365 of file rigid_transform_space.h.

## getRotationSpaces() [2/2]

const std::list<RotationSpace*>& pcl::recognition::RigidTransformSpace::getRotationSpaces | ( |  | ) | const

inline

Definition at line 371 of file rigid_transform_space.h.

## Member Data Documentation

## pos_octree_

RotationSpaceOctree pcl::recognition::RigidTransformSpace::pos_octree_

protected

Definition at line 408 of file rigid_transform_space.h.

## rotation_space_creator_

RotationSpaceCreator pcl::recognition::RigidTransformSpace::rotation_space_creator_

protected

Definition at line 409 of file rigid_transform_space.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/ransac_based/rigid_transform_space.h